-- |
-- Module      :  Phladiprelio.Ukrainian.SimpleConstraints
-- Copyright   :  (c) Oleksandr Zhabenko 2020-2023
-- License     :  MIT
-- Stability   :  Experimental
-- Maintainer  :  oleksandr.zhabenko@yahoo.com
--
-- Some code shared for different Main modules.

{-# LANGUAGE NoImplicitPrelude #-}

module Phladiprelio.Ukrainian.SimpleConstraints where

import GHC.Base
import Text.Show (show)
import GHC.Num ((-))
import GHC.List (concatMap)

showB :: Int -> Bool -> String
showB n bool
 | n >= 2 && bool == True = 'B':show (n - 1) `mappend` concatMap show [0..n - 2]
 | otherwise = ""
